<?php
//このファイルへの直接アクセスを禁止
if ( !defined( 'ABSPATH' ) ) exit;

/* 一覧を更新日にすると同時に機能させるようにしている */

/* フィードを更新日順に並び替え */
/* https://www.geekality.net/2013/09/26/order-wordpress-rss-feed-by-modified-rather-than-published/ */
if ( !function_exists( 'haup_feed_orderby_modified_date' ) ){
function haup_feed_orderby_modified_date( $request )
{
    $haup_rss_query = new WP_Query();
    $haup_rss_query->parse_query($request);

    if($haup_rss_query->is_feed())
        $request['orderby'] = 'modified';

    return $request;
}
}
add_filter('request', 'haup_feed_orderby_modified_date');

/***** 標準のフィードを停止 *****/
remove_filter('do_feed_rss2', 'do_feed_rss2', 10);

/***** フィードテンプレートの置き換え（日付を更新日へ変更するため） *****/
if ( !function_exists( 'haup_modify_feed_rss2' ) ){
function haup_modify_feed_rss2(){
  
	//$template_file = __DIR__ .'/feed-moddate/feed-rss2.php';
	$template_file = __DIR__ .'/feed-rss2.php';

	load_template($template_file);
}
}
add_action('do_feed_rss2', 'haup_modify_feed_rss2', 10);

/* 参考
https://pg.echo-s.net/%E3%80%90wordpress%E3%80%91rss%E3%81%AB%E3%82%AB%E3%82%B9%E3%82%BF%E3%83%A0%E6%8A%95%E7%A8%BF%E3%82%BF%E3%82%A4%E3%83%97%E3%82%92%E8%BF%BD%E5%8A%A0%E3%81%97%E3%81%A6%E6%9B%B4%E6%96%B0%E6%97%A5/ 
*/

/********** feedに含まれるWordPressのバージョン情報を削除 **********/
//foreach ( array( 'rss2_head', 'commentsrss2_head', 'rss_head', 'rdf_header', 'atom_head', 'comments_atom_head', 'opml_head', 'app_head' ) as $action ) {
//	remove_action( $action, 'the_generator' );
//}

